Subject: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently indicate case sensitivity

From: Juri Linkov <[email-masked]>
Date: Thu, 29 Nov 2012 01:19:00 +0200

> I think I've mentioned this way before, but perhaps not: In Isearch+, the
> mode-line lighter makes clear (continually) whether searching is currently
> case-sensitive.  Vanilla Emacs could do likewise.
>
>  When   case-sensitive, the lighter is `Isearch'.
>  When case-insensitive, the lighter is `ISEARCH'.

Clever trick, but not obvious without knowing what does it mean.

We need indication for other isearch parameters too,
e.g. for `isearch-lax-whitespace'.  Do you think
it would be equally clever to display `I s e a r c h'
to indicate lax-whitespace mode ;-)